# $Revision: 1.11 $, $Date: 2003/01/20 22:01:22 $
Summary:	Pound - reverse-proxy and load-balancer
Summary(pl):	Pound - reverse-proxy i load-balancer
Name:		pound
Version:	1.2
Release:	1
License:	GPL
Group:		Networking/Daemons
Vendor:		Robert Segall - roseg@apsis.ch
Source0:	http://www.apsis.ch/pound/Pound-%{version}.tgz
Source1:	%{name}.cfg
Source2:	%{name}.init
URL:		http://www.apsis.ch/pound/
BuildRequires:	openssl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Pound program is a reverse proxy, load balancer and HTTPS
front-end for Web server(s). Pound was developped to enable
distributing the load among several Web-servers and to allow for a
convenient SSL wrapper for those Web servers that do not offer it
natively. Pound is distributed under the GPL - no warranty, it's free
to use, copy and give away.

%description -l pl
Program Pound jest odwrotnym proxy, load-balancerem i interfejsem
HTTPS do serwera(w) WWW. Pount zosta stworzony by pozwoli na
rozdzielenie obcienia na kilka serwerw WWW i pozwoli na wygodne
opakowanie SSL-em tych serwerw, ktre same nie obsuguj SSL. Pound
jest rozpowszechniany na licencji GPL - bez gwarancji, z moliwoci
swobodnego uywania, kopiowania i rozdawania.

%prep
%setup -q -n pound

%build
%{configure}
%{__make} F_CONF=%{_sysconfdir}/pound/pound.cfg

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man8,%{_sysconfdir}/{pound/,rc.d/init.d}}

install pound 	$RPM_BUILD_ROOT%{_bindir}
install pound.8 $RPM_BUILD_ROOT%{_mandir}/man8/
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/pound/
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

%post
/sbin/chkconfig --add %{name}
if [ -f %{_var}/lock/subsys/%{name} ]; then
        /etc/rc.d/init.d/%{name} restart 1>&2
else
        echo "Run \"/etc/rc.d/init.d/%{name} start\" to start %{name} daemon."
fi

%preun
if [ "$1" = "0" -a -f %{_var}/lock/subsys/%{name} ]; then
        /etc/rc.d/init.d/%{name} stop 1>&2
fi
/sbin/chkconfig --del %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%dir %{_sysconfdir}/pound
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/pound/*
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: pound.spec,v $
Revision 1.11  2003/01/20 22:01:22  areq
 - 1.2

Revision 1.10  2003/01/10 00:06:37  areq
- 1.1, STBR

Revision 1.9  2002/12/07 14:33:43  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.8  2002/11/07 20:28:54  areq
- 1.0, STBR

Revision 1.7  2002/09/19 13:58:06  areq
- 0.11, STBR

Revision 1.6  2002/08/08 10:28:02  areq
- 0.8, STBR
- remove getregexp.patch

Revision 1.5  2002/08/02 17:16:30  kloczek
- release 2.

Revision 1.4  2002/08/01 20:30:12  qboosh
- pl description

Revision 1.3  2002/07/23 15:52:33  kloczek
- adapterized and few cosmetics.

Revision 1.2  2002/07/23 13:40:40  areq
- BuildRequires:  openssl-devel

Revision 1.1  2002/07/23 13:35:19  areq
- init PLD spec
- add my getregexp.patch - allow ; in URL
